lifelines (3.0.61-4) unstable; urgency=medium

  * QA upload.
  * Make it clear that this package is orphaned and needs a new
    package maintainer.
  * debian/control: Drop build-dependency on autoconf and autotools-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jul 2024 12:00:32 -0400

lifelines (3.0.61-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (Closes: #1004932)
  * debian/control: Add Vcs-* packaging fields on Debian Salsa.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Dec 2022 15:01:58 -0500

lifelines (3.0.61-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Christian Perrier from Uploaders. (Closes: #927664)
  * Set Homepage and d/watch to the new GitHub location. (Closes: #805867)

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 (quilt)".
    (Closes: #670739)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add required build-arch and build-indep targets to rules file.
  * Add note to copyright file about unreachable upstream URL.

 -- Bastian Germann <bage@debian.org>  Tue, 20 Dec 2022 22:46:33 +0100

lifelines (3.0.61-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop sgmltools build-dep, docs only use jw/lynx to build things
    despite sgmltools reference in configure.ac

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 17 Dec 2019 00:22:44 +0000

lifelines (3.0.61-2) unstable; urgency=low

  * The "let's modernize this package a bit" release
  * Add build-arch and build-indep targets
  * Add ${misc:Depends} to dependencies to properly deal with
    dependencies brought by the use of debhelper helpers
  * No longer ignore errors by "make distclean"
  * Switch debian/copyright to UTF-8
  * Change menu section to use "Applications/Data Management"
  * Change doc-base section to use "Data Management"
  * Bump debhelper comatibility level to 8
  * Bump Standards to 3.9.2 (checked)
  * Replace dh_clean -k by dh_prep

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Dec 2011 22:29:56 +0100

lifelines (3.0.61-1.1) unstable; urgency=low

  * Non-maintainer upload.
    - New upstream release.
  * debian/chnagelog
    - Remove obsolete Emacs variables from end of file.
  * debian/control
    - (Build-Depends): update obsolete gs to ghostscript.
      (important; Closes: #575853).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 May 2010 17:50:26 +0300

lifelines (3.0.61-1) unstable; urgency=low

  * New upstream release. (Closes: #387856).
  * Fixing documentation build problems also fixes FTBFS if built twice in a
    row. (Closes: #424543).
  * Adding lynx as a build dependency. This is necessary to generate txt files
    from html, discovered while fixing #424543.
  * Upstream fix: charset for gedcom file in unicode. (Closes: #396206).
  * Upstream fim: updating documentation about desc-tex2. (Closes: #405501).
  * Bumping Standards-Version to 3.7.2 without package changes.
  * Dropping local debian patches added upstream.

 -- Felipe Augusto van de Wiel (faw) <faw@debian.org>  Tue, 14 Aug 2007 00:02:04 -0500

lifelines (3.0.50-4) unstable; urgency=low

  * "Let's skip the -3" release. (To fix some bugs in stable a -3 was
    uploaded to Stable Proposed Updates, then I learned that using
    -2etch1 as the revision would be better. Since -3 exists as a rejected
    package in s-p-u, dak rejects the upload of -3 to unstable because). :)

  * Adding fixes from 3.0.50-2etch1 to unstable.
    - Fixing debian/watch (updating to version 3 and adjusting the regex to
      avoid uscan to find lifelines-reports-X.Y.Z.

 -- Felipe Augusto van de Wiel (faw) <faw@debian.org>  Mon, 28 May 2007 19:22:05 -0500

lifelines (3.0.50-2etch1) stable; urgency=low

  * Changing docs/ll-reportmanual.xml and docs/ll-userguide.xml to fix
    documentation build problems (Closes: #418347).

  * lifelines-reports
    - Adding a dependency to lifelines >= 3.0.50 to prevent file conflict.
      (Closes: #405500).

  * Updating French translation. Thanks to Bernard Adrian. (Closes: #356671).

 -- Felipe Augusto van de Wiel (faw) <faw@debian.org>  Thu, 24 May 2007 00:18:17 -0500

lifelines (3.0.50-2) unstable; urgency=low

  * Avoiding segfaults on architectures where the size of a pointer is greater
    than the size of an integer, such as ia64. (Thanks to dann frazier).
    - For now, using dpatch (007_src_gedlib-codesets.c.dpatch), waiting to get
      the patch included in upstream source. (Closes: #348618)
  * Using dpatch to create ll-index.html and ll-index.sv.html.

 -- Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>  Thu, 19 Jan 2006 00:56:34 -0200

lifelines (3.0.50-1) unstable; urgency=low

  * New upstream. (Closes: #345138)
    - #345138 (lifelines-3.0.50) and #335437 (lifelines-3.0.49) were merged.
  * Change Build-Depends to use libncursesw5-dev instead of libncurses5-dev.
    - UTF-8 support since lifelines-3.0.49
  * Correcting lifelines-doc. Thanks to 'J S Bygott' for the nice bug report
    and the suggestions on how to fix the problems. (Closes: #330483)
    - Wrong abstract;
    - Using only one "Files" section in control fields for non-html;
    - Entering both manuals in control fields for html.
  * LICENSE, COPYING and INSTALL removed (lintian and linda complains)

 -- Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>  Mon, 16 Jan 2006 16:35:13 -0200

lifelines (3.0.46.1-1) unstable; urgency=low

  * New upstream.

 -- Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>  Sun, 26 Jun 2005 05:55:02 -0300

lifelines (3.0.46-1) unstable; urgency=low

  * New maintainer.
  * New upstream version. (Closes: #313436).
  * Typo correction in de.po (Thanks to Jens Seidel). (Closes: #313784).

 -- Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>  Tue, 21 Jun 2005 01:15:33 -0300

lifelines (3.0.44-3) unstable; urgency=low

  * debian/rules:
    - Stop updating debian/changelog when config.{guess|sub} are updated,
      on the request of autobuilder maintainers
      Closes: #312398

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Jun 2005 07:08:48 +0200

lifelines (3.0.44-2) unstable; urgency=low

  * Do not build all packages in the -indep target. Thanks to Tollef Fog Heen
    for the patch and the #debian-women channel for hosting my request for
    help. Closes: #299561

 -- Christian Perrier <bubulle@debian.org>  Tue, 15 Mar 2005 12:12:55 +0100

lifelines (3.0.44-1) unstable; urgency=low

  * New upstream version
  * Correct use of hints and longtitle in the menu file
    Thanks to Bill Allombert for pointing this.
  * GNU config automated update: config.sub (20020307 to 20041130),
    config.guess (20020304 to 20041112)

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Mar 2005 14:59:03 +0100

lifelines (3.0.40-2) unstable; urgency=low

  * Be sure to not install report files along with
    the lifelines package. Closes: #293063
  * All files from reports/ now go in /usr/share/lifelines
    and not only *.ll files

 -- Christian Perrier <bubulle@debian.org>  Tue,  1 Feb 2005 22:28:00 +0100

lifelines (3.0.40-1) unstable; urgency=low

  * New upstream version
  * GNU config automated update: config.sub (20020307 to 20041130),
    config.guess (20020304 to 20041112)

 -- Christian Perrier <bubulle@debian.org>  Sun, 30 Jan 2005 10:16:32 +0100

lifelines (3.0.39-1) unstable; urgency=low

  * New upstream version. Closes: #289273
  * Lintian fixes:
    - Descriptions synopsis no more start with a capital letter
  * GNU config automated update: config.sub (20020307 to 20041130),
    config.guess (20020304 to 20041112)

 -- Christian Perrier <bubulle@debian.org>  Sat,  8 Jan 2005 13:59:04 +0100

lifelines (3.0.37.2-3) unstable; urgency=low

  * debian/watch
    - Added file
  * debian/control
    - Updated to Standards: 3.6.1.1
  * debian/rules
    - Do not define DH_COMPAT anymore
  * debian/compat
    - Added with 4 as default value
  * Now uses dpatch
    - debian/patches/001_french-update.dpatch
      - French translation update by Patrick Texier
        (link posted in lifelines-dev ML)
    - debian/patches/002_docs-Makefile.dpatch
      - Removal of listops.jpg made by dpatch
    - debian/patches/003_docs-Makefile-sv.dpatch
      - Swedish manuals do not need any build
  * debian/lifelines.menu
    - quote section string. Thanks, lintian.
  * debian/control debian/lifelines-doc-sv.files
              debian/lifelines-doc-sv.docs
    - new doc package for Swedish documentation files
  * GNU config automated update: config.sub (20040624 to 20041130),
    config.guess (20040813 to 20041112)

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Nov 2004 18:06:37 +0100

lifelines (3.0.37.2-2) unstable; urgency=low

  * Prospectively added dh_buildinfo to debian/rules. New Build-Depends on
    dh-buildinfo

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 Jan 2004 07:35:02 +0100

lifelines (3.0.37.2-1) unstable; urgency=low

  * New upstream version. Closes: #219922

 -- Christian Perrier <bubulle@debian.org>  Mon, 10 Nov 2003 17:22:35 +0100

lifelines (3.0.37.1-1) unstable; urgency=low

  * New upstream version (bugfix for nspouses())

 -- Christian Perrier <bubulle@debian.org>  Wed, 22 Oct 2003 08:33:24 +0200

lifelines (3.0.37-1) unstable; urgency=low

  * New stable upstream version. Closes: #215691
  * GNU config automated update: config.sub (20020307 to 20031007),
    config.guess (20020304 to 20031007)
  * Removed listops.jpg from the MANUALS_en in docs/Makefile.in

 -- Christian Perrier <bubulle@debian.org>  Tue, 14 Oct 2003 16:47:47 +0200

lifelines (3.0.32-1) experimental; urgency=low

  * New upstream version. Uploaded to experimental as this is tagged "beta"
    by upstream which recommends waiting for a next "stable" version

 -- Christian Perrier <bubulle@debian.org>  Mon, 22 Sep 2003 08:30:14 +0200

lifelines (3.0.29-1) unstable; urgency=low

  * New upstream version. Closes: #206712
  * Update to Standards 3.6.1 (no change)
  * Removed the use of "autogen.sh" which probably messed up the automake
    files. Now use ./configure simply. This is maybe temporary as the use
    of autogen.sh probably came from me reading stuff about clean use of
    autotools
  * --with-docs removed from configure (should now be useless)
  * GNU config automated update: config.sub (20020307 to 20030717),
    config.guess (20020304 to 20030702)
  * General rules clean-up release (commented useless stuff removed)
  * The former upload does not exactly correspond to the
    changelog contents. This release corrects this.
  * debian/lifelines.undocumented removed
  * Replaced the program's fr.po by the file from Patrick Texier which is more
    up-to-date
  * Added a menu entry in Apps/Tools (similar to gramps) along with a ice
    32x32 icon
  * Minor changes to package descriptions
  * Do not copy doc files in /usr/share/lifelines (hmm, well, I'd rather
    say : remove them after copying them). Closes: #194321
  * llexec now has a man page

 -- Christian Perrier <bubulle@debian.org>  Mon, 25 Aug 2003 15:36:19 +0200

lifelines (3.0.28-1) unstable; urgency=low

  * New upstream release. Closes: #192950
  * btedit.1 and dbverify.1 added to man pages list
  * GNU config automated update: config.sub (20030103 to 20030509),
    config.guess (20030110 to 20030509)

 -- Christian Perrier <bubulle@debian.org>  Thu, 22 May 2003 12:23:00 +0200

lifelines (3.0.27-3) unstable; urgency=low

  * Changed doc files list for doc-base. Closes: 189747
  * Typo correction in lifelines-doc package description. Thanks DDTP.

 -- Christian Perrier <bubulle@debian.org>  Sat, 10 May 2003 08:53:21 +0200

lifelines (3.0.27-2) unstable; urgency=low

  * Updated to Standards 3.5.9.0

 -- Christian Perrier <bubulle@debian.org>  Thu,  3 Apr 2003 18:40:59 +0200

lifelines (3.0.27-1) unstable; urgency=low

  * New upstream release. Closes: 184089
  * GNU config automated update: config.sub (20020307 to 20030103),
    config.guess (20020304 to 20030110)

 -- Christian Perrier <bubulle@debian.org>  Sun,  9 Mar 2003 19:18:11 +0100

lifelines (3.0.26-1) unstable; urgency=low

  * New upstream release. Closes: 183445
  * Removed dh_suidregister and dh_undocumented calls from debian.rules
  * GNU config automated update: config.sub (20021130 to 20030103),
    config.guess (20021130 to 20030110)

 -- Christian Perrier <bubulle@debian.org>  Thu,  6 Mar 2003 08:39:01 +0100

lifelines (3.0.24-2) unstable; urgency=low

  * lifelines package now creates an empty /usr/share/lifelines directory
    for reports
  * Mention of GEDCOM files in package description. Closes: 174511

 -- Christian Perrier <bubulle@debian.org>  Sun, 29 Dec 2002 17:56:21 +0100

lifelines (3.0.24-1) unstable; urgency=low

  * New upstream release. Closes: 173567
  * GNU config automated update: config.sub (20020307 to 20021130),
    config.guess (20020304 to 20021130)

 -- Christian Perrier <bubulle@debian.org>  Fri, 20 Dec 2002 16:27:47 +0100

lifelines (3.0.23-1) unstable; urgency=low

  * New upstream release
  * GNU config automated update: config.sub (20020307 to 20021130),
    config.guess (20020304 to 20021130)

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Dec 2002 13:50:30 +0100

lifelines (3.0.22-1) unstable; urgency=low

  * New upstream release
  * GNU config automated update: config.sub (20020307 to 20020905),
    config.guess (20020304 to 20020903)

 -- Christian Perrier <bubulle@debian.org>  Mon,  4 Nov 2002 11:56:05 +0100

lifelines (3.0.21-1) unstable; urgency=low

  * New upstream release (Closes: 167431)
  * GNU config automated update: config.sub (20020307 to 20020905),
    config.guess (20020304 to 20020903)

 -- Christian Perrier <bubulle@debian.org>  Mon,  4 Nov 2002 11:56:05 +0100

lifelines (3.0.20-1) unstable; urgency=low

  * New upstream release
  * configure.in patched for DOCS_TARGET="simple fancy"
  * Try to *properly* read doc about automake stuff and then apply
    recommendations (w/ use of autogen.sh and config.{guess|sub} update
  * example file change : .linesrc (renamed to linesrc) instead
    of the Windows exemple file lines.cfg

 -- Christian Perrier <bubulle@debian.org>  Mon, 30 Sep 2002 20:59:43 +0200

lifelines (3.0.17-1) unstable; urgency=low

  * New upstream release

 -- Christian Perrier <Christian.Perrier@onera.fr>  Fri, 23 Aug 2002 14:08:05 +0200

lifelines (3.0.16-2) unstable; urgency=low

  * Use of AM_MAINTAINER_MODE in configure.in as suggested
    by Denis Barbier
  * Modified debian/rules for "Calling GNU configure properly", see
    /usr/share/doc/autotools-dev/README.Debian.gz
  * Modified debian/rules for using config.{guess,sub} from autotools-dev
    if they're more recent than upstream ones. Added an autotools
    target for this. Build dependency on autotools-dev and devscripts
  * As a consequence of the above, build dependency on automake has been
    removed
  * Hope I understood all the above stuff properly..:-)

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 Jun 2002 08:21:17 +0200

lifelines (3.0.16-1) unstable; urgency=low

  * Updated config.guess and config.sub with files coming from
    the autotools-dev package (Closes: 149999). I'll reopen
    the bug if I'm wrong..:-). Next lifelines upstream release
    will have updated files according to LL mailing list
  * New upstream release

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 Jun 2002 08:21:17 +0200

lifelines (3.0.15-1) unstable; urgency=low

  * New upstream release
  * Build-Depends now on automake1.5 and autoconf (>=2.5)

 -- Christian Perrier <Christian.Perrier@onera.fr>  Mon, 10 Jun 2002 09:54:43 +0200

lifelines (3.0.14-1) unstable; urgency=low

  * New upstream release

 -- Christian Perrier <Christian.Perrier@onera.fr>  Mon,  3 Jun 2002 08:40:12 +0200

lifelines (3.0.13-1) unstable; urgency=low

  * New upstream release
  * Now uses dh_installman and install llines.1 properly

 -- Christian Perrier <Christian.Perrier@onera.fr>  Wed, 29 May 2002 12:11:47 +0200

lifelines (3.0.12-1) unstable; urgency=low

  * New upstream release
  * Changed Build-Dependency from sgmltools-2 to sgmltools-lite
  * Modified original configure script so that docs are built
    with "fancy" options (thus including ps and pdf doc files)

 -- Christian Perrier <Christian.Perrier@onera.fr>  Mon, 13 May 2002 11:19:43 +0200

lifelines (3.0.10-4) unstable; urgency=low

  * Install sample lines.cfg file. (Closes: 142907)
  * Corrected the wrapper script (the logic was inverted for
    LLDATABASES!)

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Apr 2002 08:49:49 +0200

lifelines (3.0.10-3) unstable; urgency=low

  * Corrected again lifelines-doc.doc-base. (Closes: 133871)

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Feb 2002 10:28:53 +0100

lifelines (3.0.10-2) unstable; urgency=low

  * Corrected the lifelines-doc.doc-base file so that install-docs
    may work properly (which caused postinst script to fail)

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Feb 2002 09:32:20 +0100

lifelines (3.0.10-1) unstable; urgency=low

  * New upstream release. Does not return -99999 for dates
    anymore when some invalid (regarding GEDCOM standard)
    dates are entered.
  * docs dir is back from upstream (two new files about running
    lifelines under Windows. I kept them anyway)
  * --with-docs added to configure so that docs are built properly
  * upstream changes in docs lead to changes in our handling of docs :
    HTML docs are now in one huge file. docs/Makefile.in modified
    for buildging PS and PDF docs also

 -- Christian Perrier <bubulle@debian.org>  Tue, 12 Feb 2002 08:57:17 +0100

lifelines (3.0.9-1) unstable; urgency=low

  * New upstream release. Integer signedness corrected (Closes: 129331)
  * Copied the docs/ subdirectory from the 3.0.6 release as the
    official upstream release does not include it (bug, I guess)
  * Changed wrapper script for properly handling LLPROGRAMS and
    LLDATABASES when these variables are empty before launching
    llines.

 -- Christian Perrier <bubulle@debian.org>  Thu, 31 Jan 2002 08:23:19 +0100

lifelines (3.0.6-10) unstable; urgency=low

  * Add lifelines/*.html, lifelines.ps and lifelines.pdf
    to doc files in lifelines-doc
  * Minor correction regarding doc files after lintian warnings (no
    INSTALL)
  * Added doc-base entry for lifelines-doc
  * Corrected spelling error in copyright
  * Removed dh_testversion use

 -- Christian Perrier <Christian.Perrier@onera.fr>  Wed, 16 Jan 2002 16:07:51 +0100

lifelines (3.0.6-9) unstable; urgency=low

  * Modified package description for being more accurate (Closes: 115150)

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Oct 2001 08:16:17 +0200

lifelines (3.0.6-8) unstable; urgency=low

  * Adopted by new maintainer

 -- Christian Perrier <bubulle@debian.org>  Fri, 28 Sep 2001 08:13:38 +0200

lifelines (3.0.6-7) unstable; urgency=low

  * Changed section of lifelines-doc to avoid override
  * Added gs to build-depends (Closes: #105745, #105796)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 18 Jul 2001 18:44:45 +0200

lifelines (3.0.6-6) unstable; urgency=low

  * Added Build-Depends on sgmltools-2
  * Removed config.cache by Making distclean in rules clean (Closes: #105341)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 16 Jul 2001 18:22:46 +0200

lifelines (3.0.6-5) unstable; urgency=low

  * Adopted by main maintainer (Closes: 96841)
  * Added info from previous logs
  * Added (again) Build-Depends which were not in Christian's package

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 11 Jun 2001 21:13:54 +0200

lifelines (3.0.6-4) stable; urgency=low

  * quickref.{pdf|ps} and lifelines.sgml put into lifelines-doc
  * added a wrapper for setting up LLPROGRAMS and LLDATABASES to reasonable defaults

 -- Christian Perrier <perrier@onera.fr>  Wed,  9 May 2001 10:27:18 +0200

lifelines (3.0.6-3) stable; urgency=low

  * Removed "Recommend: lifelines-reports" because of this
    package being dropped out

 -- Christian Perrier <perrier@onera.fr>  Tue,  3 Apr 2001 09:36:54 +0200

lifelines (3.0.6-2) stable; urgency=low

  * Reports are now included in a separate package

 -- Christian Perrier <perrier@onera.fr>  Fri,  9 Mar 2001 09:55:26 +0100

lifelines (3.0.6-1) stable; urgency=low

  * New upstream version

 -- Christian Perrier <Christian.Perrier@onera.fr>  Tue,  6 Mar 2001 09:57:57 +0100

lifelines (3.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Christian Perrier <bubulle@kheops.frmug.org>  Sat, 13 Jan 2001 16:09:23 +0100

lifelines (3.0.4-2) unstable; urgency=low

  * Updated Standards-Version to 3.0.1
  * Lintian clean
  * Now depends and Build-Depends con libncurses5

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 14 Apr 2001 16:33:15 +0200

lifelines (3.0.4-1) unstable; urgency=low

  * First Release
  * Moved 'build' script to build.sh in order to not overwrite it
  * UUdecoded and deencrypted the reference guide in postcript

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 17 Dec 1999 13:28:25 +0100
